package cn.com.tenlion.systembase.pojo.dtos.bigdta;

import com.google.gson.Gson;
import ink.wgink.exceptions.ParamsException;
import org.apache.commons.lang3.StringUtils;

/**
 * 编号:C0010
 * 表名:comprehensive_center
 * 名称:综治中心
 */
public class ComprehensiveCenter {

    // 综治中心名称
    private String center_name;
    // 综治中心层级
    private String center_level_name;
    // 综治中心层级编码
    private String center_level_code;
    // 详细地址
    private String address;
    // 区域全名称(/隔开)
    private String location_all;
    // 区域编码
    private String location_code;
    // 区域旗县区名称
    private String location_area;
    // 经度
    private String longitude;
    // 纬度
    private String latitude;
    // 网格名称
    private String grid_name;
    // 网格编码
    private String grid_code;

    public String getcenter_name() {
        return center_name;
    }
    
    public void setcenter_name(String center_name) {
        this.center_name = center_name;
    }
    
    public String getcenter_level_name() {
        return center_level_name;
    }
    
    public void setcenter_level_name(String center_level_name) {
        this.center_level_name = center_level_name;
    }
    
    public String getcenter_level_code() {
        return center_level_code;
    }
    
    public void setcenter_level_code(String center_level_code) {
        this.center_level_code = center_level_code;
    }
    
    public String getaddress() {
        return address;
    }
    
    public void setaddress(String address) {
        this.address = address;
    }
    
    public String getlocation_all() {
        return location_all;
    }
    
    public void setlocation_all(String location_all) {
        this.location_all = location_all;
    }
    
    public String getlocation_code() {
        return location_code;
    }
    
    public void setlocation_code(String location_code) {
        this.location_code = location_code;
    }
    
    public String getlocation_area() {
        return location_area;
    }
    
    public void setlocation_area(String location_area) {
        this.location_area = location_area;
    }
    
    public String getlongitude() {
        return longitude;
    }
    
    public void setlongitude(String longitude) {
        this.longitude = longitude;
    }
    
    public String getlatitude() {
        return latitude;
    }
    
    public void setlatitude(String latitude) {
        this.latitude = latitude;
    }
    
    public String getgrid_name() {
        return grid_name;
    }
    
    public void setgrid_name(String grid_name) {
        this.grid_name = grid_name;
    }
    
    public String getgrid_code() {
        return grid_code;
    }
    
    public void setgrid_code(String grid_code) {
        this.grid_code = grid_code;
    }
    

    // 保存校验并转Json
    public String saveCheckToJson() {
        if(StringUtils.isEmpty(center_name)) {
            throw new ParamsException("综治中心名称名不能为空");
        }
        if(center_name != null && center_name.length() > 255 ) {
            throw new ParamsException("综治中心名称超出长度");
        }
        if(StringUtils.isEmpty(center_level_name)) {
            throw new ParamsException("综治中心层级名不能为空");
        }
        if(center_level_name != null && center_level_name.length() > 255 ) {
            throw new ParamsException("综治中心层级超出长度");
        }
        if(StringUtils.isEmpty(center_level_code)) {
            throw new ParamsException("综治中心层级编码名不能为空");
        }
        if(center_level_code != null && center_level_code.length() > 255 ) {
            throw new ParamsException("综治中心层级编码超出长度");
        }
        if(StringUtils.isEmpty(address)) {
            throw new ParamsException("详细地址名不能为空");
        }
        if(address != null && address.length() > 255 ) {
            throw new ParamsException("详细地址超出长度");
        }
        if(StringUtils.isEmpty(location_all)) {
            throw new ParamsException("区域全名称(/隔开)名不能为空");
        }
        if(location_all != null && location_all.length() > 255 ) {
            throw new ParamsException("区域全名称(/隔开)超出长度");
        }
        if(StringUtils.isEmpty(location_code)) {
            throw new ParamsException("区域编码名不能为空");
        }
        if(location_code != null && location_code.length() > 100 ) {
            throw new ParamsException("区域编码超出长度");
        }
        if(StringUtils.isEmpty(location_area)) {
            throw new ParamsException("区域旗县区名称名不能为空");
        }
        if(location_area != null && location_area.length() > 100 ) {
            throw new ParamsException("区域旗县区名称超出长度");
        }
        if(StringUtils.isEmpty(longitude)) {
            throw new ParamsException("经度名不能为空");
        }
        if(longitude != null && longitude.length() > 50 ) {
            throw new ParamsException("经度超出长度");
        }
        if(StringUtils.isEmpty(latitude)) {
            throw new ParamsException("纬度名不能为空");
        }
        if(latitude != null && latitude.length() > 50 ) {
            throw new ParamsException("纬度超出长度");
        }
        if(StringUtils.isEmpty(grid_name)) {
            throw new ParamsException("网格名称名不能为空");
        }
        if(grid_name != null && grid_name.length() > 100 ) {
            throw new ParamsException("网格名称超出长度");
        }
        if(StringUtils.isEmpty(grid_code)) {
            throw new ParamsException("网格编码名不能为空");
        }
        if(grid_code != null && grid_code.length() > 100 ) {
            throw new ParamsException("网格编码超出长度");
        }
        return new Gson().toJson(this);
    }

    // 修改转Json
    public String updateToJson() {
        return new Gson().toJson(this);
    }
    
}
